/*
	MercuryServices.m
	Creates a list of the services available with the Mercury prefix.
	Generated by SudzC.com
*/
#import "MercuryServices.h"

@implementation MercuryServices

@synthesize logging, server, defaultServer;

@synthesize ws;


#pragma mark Initialization

-(id)initWithServer:(NSString*)serverName{
	if(self = [self init]) {
		self.server = serverName;
	}
	return self;
}

+(MercuryServices*)service{
	return (MercuryServices*)[[MercuryServices alloc] init];
}

+(MercuryServices*)serviceWithServer:(NSString*)serverName{
	return (MercuryServices*)[[MercuryServices alloc] initWithServer:serverName];
}

#pragma mark Methods

-(void)setLogging:(BOOL)value{
	logging = value;
	[self updateServices];
}

-(void)setServer:(NSString*)value{
	server = value;
	[self updateServices];
}

-(void)updateServices{

	[self updateService: self.ws];
}

-(void)updateService:(SoapService*)service{
	service.logging = self.logging;
	if(self.server == nil || self.server.length < 1) { return; }
	service.serviceUrl = [service.serviceUrl stringByReplacingOccurrencesOfString:defaultServer withString:self.server];
}

#pragma mark Getter Overrides


-(Mercuryws*)ws{
	if(ws == nil) {
		ws = [[Mercuryws alloc] init];
	}
	return ws;
}


@end
			