/*
	Mercuryws.m
	The implementation classes and methods for the ws web service.
	Generated by SudzC.com
*/

#import "Mercuryws.h"
				
#import "Soap.h"
	

/* Implementation of the service */
				
@implementation Mercuryws

	- (id) init
	{
		if(self = [super init])
		{
			self.serviceUrl = @"https://w1.mercurydev.net/ws/ws.asmx";
			self.namespace = @"http://www.mercurypay.com";
			self.headers = nil;
			self.logging = NO;
		}
		return self;
	}
	
	- (id) initWithUsername: (NSString*) username andPassword: (NSString*) password {
		if(self = [super initWithUsername:username andPassword:password]) {
		}
		return self;
	}
	
	+ (Mercuryws*) service {
		return [Mercuryws serviceWithUsername:nil andPassword:nil];
	}
	
	+ (Mercuryws*) serviceWithUsername: (NSString*) username andPassword: (NSString*) password {
		return [[Mercuryws alloc] initWithUsername:username andPassword:password];
	}

		
	/* Returns CXMLNode*.  */
	- (SoapRequest*) CBatch: (id <SoapDelegate>) handler merchant: (NSString*) merchant
	{
		return [self CBatch: handler action: nil merchant: merchant];
	}

	- (SoapRequest*) CBatch: (id) _target action: (SEL) _action merchant: (NSString*) merchant
		{
		NSMutableArray* _params = [NSMutableArray array];
		
		[_params addObject: [[SoapParameter alloc] initWithValue: merchant forName: @"merchant"]];
		NSString* _envelope = [Soap createEnvelope: @"CBatch" forNamespace: self.namespace withParameters: _params withHeaders: self.headers];
		SoapRequest* _request = [SoapRequest create: _target action: _action service: self soapAction: @"http://www.mercurypay.com/CBatch" postData: _envelope deserializeTo: nil];
		[_request send];
		return _request;
	}

	/* Returns BOOL.  */
	- (SoapRequest*) AllowRunAsDebit: (id <SoapDelegate>) handler merchant: (NSString*) merchant pw: (NSString*) pw account: (NSString*) account
	{
		return [self AllowRunAsDebit: handler action: nil merchant: merchant pw: pw account: account];
	}

	- (SoapRequest*) AllowRunAsDebit: (id) _target action: (SEL) _action merchant: (NSString*) merchant pw: (NSString*) pw account: (NSString*) account
		{
		NSMutableArray* _params = [NSMutableArray array];
		
		[_params addObject: [[SoapParameter alloc] initWithValue: merchant forName: @"merchant"]];
		[_params addObject: [[SoapParameter alloc] initWithValue: pw forName: @"pw"]];
		[_params addObject: [[SoapParameter alloc] initWithValue: account forName: @"account"]];
		NSString* _envelope = [Soap createEnvelope: @"AllowRunAsDebit" forNamespace: self.namespace withParameters: _params withHeaders: self.headers];
		SoapRequest* _request = [SoapRequest create: _target action: _action service: self soapAction: @"http://www.mercurypay.com/AllowRunAsDebit" postData: _envelope deserializeTo: @"BOOL"];
		[_request send];
		return _request;
	}

	/* Returns NSString*.  */
	- (SoapRequest*) CTranDetail: (id <SoapDelegate>) handler merchant: (NSString*) merchant pw: (NSString*) pw invoice: (NSString*) invoice
	{
		return [self CTranDetail: handler action: nil merchant: merchant pw: pw invoice: invoice];
	}

	- (SoapRequest*) CTranDetail: (id) _target action: (SEL) _action merchant: (NSString*) merchant pw: (NSString*) pw invoice: (NSString*) invoice
		{
		NSMutableArray* _params = [NSMutableArray array];
		
		[_params addObject: [[SoapParameter alloc] initWithValue: merchant forName: @"merchant"]];
		[_params addObject: [[SoapParameter alloc] initWithValue: pw forName: @"pw"]];
		[_params addObject: [[SoapParameter alloc] initWithValue: invoice forName: @"invoice"]];
		NSString* _envelope = [Soap createEnvelope: @"CTranDetail" forNamespace: self.namespace withParameters: _params withHeaders: self.headers];
		SoapRequest* _request = [SoapRequest create: _target action: _action service: self soapAction: @"http://www.mercurypay.com/CTranDetail" postData: _envelope deserializeTo: @"NSString"];
		[_request send];
		return _request;
	}

	/* Returns NSString*.  */
	- (SoapRequest*) CAllDetail: (id <SoapDelegate>) handler merchant: (NSString*) merchant pw: (NSString*) pw invoice: (NSString*) invoice startdate: (NSString*) startdate enddate: (NSString*) enddate
	{
		return [self CAllDetail: handler action: nil merchant: merchant pw: pw invoice: invoice startdate: startdate enddate: enddate];
	}

	- (SoapRequest*) CAllDetail: (id) _target action: (SEL) _action merchant: (NSString*) merchant pw: (NSString*) pw invoice: (NSString*) invoice startdate: (NSString*) startdate enddate: (NSString*) enddate
		{
		NSMutableArray* _params = [NSMutableArray array];
		
		[_params addObject: [[SoapParameter alloc] initWithValue: merchant forName: @"merchant"]];
		[_params addObject: [[SoapParameter alloc] initWithValue: pw forName: @"pw"]];
		[_params addObject: [[SoapParameter alloc] initWithValue: invoice forName: @"invoice"]];
		[_params addObject: [[SoapParameter alloc] initWithValue: startdate forName: @"startdate"]];
		[_params addObject: [[SoapParameter alloc] initWithValue: enddate forName: @"enddate"]];
		NSString* _envelope = [Soap createEnvelope: @"CAllDetail" forNamespace: self.namespace withParameters: _params withHeaders: self.headers];
		SoapRequest* _request = [SoapRequest create: _target action: _action service: self soapAction: @"http://www.mercurypay.com/CAllDetail" postData: _envelope deserializeTo: @"NSString"];
		[_request send];
		return _request;
	}

	/* Returns NSString*.  */
	- (SoapRequest*) CAllDetailEx: (id <SoapDelegate>) handler merchant: (NSString*) merchant pw: (NSString*) pw invoice: (NSString*) invoice startdate: (NSString*) startdate enddate: (NSString*) enddate transactioncode: (NSString*) transactioncode
	{
		return [self CAllDetailEx: handler action: nil merchant: merchant pw: pw invoice: invoice startdate: startdate enddate: enddate transactioncode: transactioncode];
	}

	- (SoapRequest*) CAllDetailEx: (id) _target action: (SEL) _action merchant: (NSString*) merchant pw: (NSString*) pw invoice: (NSString*) invoice startdate: (NSString*) startdate enddate: (NSString*) enddate transactioncode: (NSString*) transactioncode
		{
		NSMutableArray* _params = [NSMutableArray array];
		
		[_params addObject: [[SoapParameter alloc] initWithValue: merchant forName: @"merchant"]];
		[_params addObject: [[SoapParameter alloc] initWithValue: pw forName: @"pw"]];
		[_params addObject: [[SoapParameter alloc] initWithValue: invoice forName: @"invoice"]];
		[_params addObject: [[SoapParameter alloc] initWithValue: startdate forName: @"startdate"]];
		[_params addObject: [[SoapParameter alloc] initWithValue: enddate forName: @"enddate"]];
		[_params addObject: [[SoapParameter alloc] initWithValue: transactioncode forName: @"transactioncode"]];
		NSString* _envelope = [Soap createEnvelope: @"CAllDetailEx" forNamespace: self.namespace withParameters: _params withHeaders: self.headers];
		SoapRequest* _request = [SoapRequest create: _target action: _action service: self soapAction: @"http://www.mercurypay.com/CAllDetailEx" postData: _envelope deserializeTo: @"NSString"];
		[_request send];
		return _request;
	}

	/* Returns NSString*.  */
	- (SoapRequest*) CAllGiftDetail: (id <SoapDelegate>) handler merchant: (NSString*) merchant pw: (NSString*) pw invoice: (NSString*) invoice startdate: (NSString*) startdate enddate: (NSString*) enddate
	{
		return [self CAllGiftDetail: handler action: nil merchant: merchant pw: pw invoice: invoice startdate: startdate enddate: enddate];
	}

	- (SoapRequest*) CAllGiftDetail: (id) _target action: (SEL) _action merchant: (NSString*) merchant pw: (NSString*) pw invoice: (NSString*) invoice startdate: (NSString*) startdate enddate: (NSString*) enddate
		{
		NSMutableArray* _params = [NSMutableArray array];
		
		[_params addObject: [[SoapParameter alloc] initWithValue: merchant forName: @"merchant"]];
		[_params addObject: [[SoapParameter alloc] initWithValue: pw forName: @"pw"]];
		[_params addObject: [[SoapParameter alloc] initWithValue: invoice forName: @"invoice"]];
		[_params addObject: [[SoapParameter alloc] initWithValue: startdate forName: @"startdate"]];
		[_params addObject: [[SoapParameter alloc] initWithValue: enddate forName: @"enddate"]];
		NSString* _envelope = [Soap createEnvelope: @"CAllGiftDetail" forNamespace: self.namespace withParameters: _params withHeaders: self.headers];
		SoapRequest* _request = [SoapRequest create: _target action: _action service: self soapAction: @"http://www.mercurypay.com/CAllGiftDetail" postData: _envelope deserializeTo: @"NSString"];
		[_request send];
		return _request;
	}

	/* Returns NSString*.  */
	- (SoapRequest*) CreditTransaction: (id <SoapDelegate>) handler tran: (NSString*) tran pw: (NSString*) pw
	{
		return [self CreditTransaction: handler action: nil tran: tran pw: pw];
	}

	- (SoapRequest*) CreditTransaction: (id) _target action: (SEL) _action tran: (NSString*) tran pw: (NSString*) pw
		{
		NSMutableArray* _params = [NSMutableArray array];
		
		[_params addObject: [[SoapParameter alloc] initWithValue: tran forName: @"tran"]];
		[_params addObject: [[SoapParameter alloc] initWithValue: pw forName: @"pw"]];
		NSString* _envelope = [Soap createEnvelope: @"CreditTransaction" forNamespace: self.namespace withParameters: _params withHeaders: self.headers];
		SoapRequest* _request = [SoapRequest create: _target action: _action service: self soapAction: @"http://www.mercurypay.com/CreditTransaction" postData: _envelope deserializeTo: @"NSString"];
		[_request send];
		return _request;
	}

	/* Returns NSString*.  */
	- (SoapRequest*) GiftTransaction: (id <SoapDelegate>) handler tran: (NSString*) tran pw: (NSString*) pw
	{
		return [self GiftTransaction: handler action: nil tran: tran pw: pw];
	}

	- (SoapRequest*) GiftTransaction: (id) _target action: (SEL) _action tran: (NSString*) tran pw: (NSString*) pw
		{
		NSMutableArray* _params = [NSMutableArray array];
		
		[_params addObject: [[SoapParameter alloc] initWithValue: tran forName: @"tran"]];
		[_params addObject: [[SoapParameter alloc] initWithValue: pw forName: @"pw"]];
		NSString* _envelope = [Soap createEnvelope: @"GiftTransaction" forNamespace: self.namespace withParameters: _params withHeaders: self.headers];
		SoapRequest* _request = [SoapRequest create: _target action: _action service: self soapAction: @"http://www.mercurypay.com/GiftTransaction" postData: _envelope deserializeTo: @"NSString"];
		[_request send];
		return _request;
	}

	/* Returns NSString*.  */
	- (SoapRequest*) LoyaltyTransaction: (id <SoapDelegate>) handler tran: (NSString*) tran pw: (NSString*) pw
	{
		return [self LoyaltyTransaction: handler action: nil tran: tran pw: pw];
	}

	- (SoapRequest*) LoyaltyTransaction: (id) _target action: (SEL) _action tran: (NSString*) tran pw: (NSString*) pw
		{
		NSMutableArray* _params = [NSMutableArray array];
		
		[_params addObject: [[SoapParameter alloc] initWithValue: tran forName: @"tran"]];
		[_params addObject: [[SoapParameter alloc] initWithValue: pw forName: @"pw"]];
		NSString* _envelope = [Soap createEnvelope: @"LoyaltyTransaction" forNamespace: self.namespace withParameters: _params withHeaders: self.headers];
		SoapRequest* _request = [SoapRequest create: _target action: _action service: self soapAction: @"http://www.mercurypay.com/LoyaltyTransaction" postData: _envelope deserializeTo: @"NSString"];
		[_request send];
		return _request;
	}

	/* Returns BOOL.  */
	- (SoapRequest*) AssociateAccount: (id <SoapDelegate>) handler account: (NSString*) account identifier: (NSString*) identifier merchantid: (NSString*) merchantid memo: (NSString*) memo pw: (NSString*) pw
	{
		return [self AssociateAccount: handler action: nil account: account identifier: identifier merchantid: merchantid memo: memo pw: pw];
	}

	- (SoapRequest*) AssociateAccount: (id) _target action: (SEL) _action account: (NSString*) account identifier: (NSString*) identifier merchantid: (NSString*) merchantid memo: (NSString*) memo pw: (NSString*) pw
		{
		NSMutableArray* _params = [NSMutableArray array];
		
		[_params addObject: [[SoapParameter alloc] initWithValue: account forName: @"account"]];
		[_params addObject: [[SoapParameter alloc] initWithValue: identifier forName: @"identifier"]];
		[_params addObject: [[SoapParameter alloc] initWithValue: merchantid forName: @"merchantid"]];
		[_params addObject: [[SoapParameter alloc] initWithValue: memo forName: @"memo"]];
		[_params addObject: [[SoapParameter alloc] initWithValue: pw forName: @"pw"]];
		NSString* _envelope = [Soap createEnvelope: @"AssociateAccount" forNamespace: self.namespace withParameters: _params withHeaders: self.headers];
		SoapRequest* _request = [SoapRequest create: _target action: _action service: self soapAction: @"http://www.mercurypay.com/AssociateAccount" postData: _envelope deserializeTo: @"BOOL"];
		[_request send];
		return _request;
	}

	/* Returns BOOL.  */
	- (SoapRequest*) RemoveAccountAssociation: (id <SoapDelegate>) handler account: (NSString*) account identifier: (NSString*) identifier merchantid: (NSString*) merchantid pw: (NSString*) pw
	{
		return [self RemoveAccountAssociation: handler action: nil account: account identifier: identifier merchantid: merchantid pw: pw];
	}

	- (SoapRequest*) RemoveAccountAssociation: (id) _target action: (SEL) _action account: (NSString*) account identifier: (NSString*) identifier merchantid: (NSString*) merchantid pw: (NSString*) pw
		{
		NSMutableArray* _params = [NSMutableArray array];
		
		[_params addObject: [[SoapParameter alloc] initWithValue: account forName: @"account"]];
		[_params addObject: [[SoapParameter alloc] initWithValue: identifier forName: @"identifier"]];
		[_params addObject: [[SoapParameter alloc] initWithValue: merchantid forName: @"merchantid"]];
		[_params addObject: [[SoapParameter alloc] initWithValue: pw forName: @"pw"]];
		NSString* _envelope = [Soap createEnvelope: @"RemoveAccountAssociation" forNamespace: self.namespace withParameters: _params withHeaders: self.headers];
		SoapRequest* _request = [SoapRequest create: _target action: _action service: self soapAction: @"http://www.mercurypay.com/RemoveAccountAssociation" postData: _envelope deserializeTo: @"BOOL"];
		[_request send];
		return _request;
	}

	/* Returns NSString*.  */
	- (SoapRequest*) Lookup: (id <SoapDelegate>) handler tran: (NSString*) tran pw: (NSString*) pw
	{
		return [self Lookup: handler action: nil tran: tran pw: pw];
	}

	- (SoapRequest*) Lookup: (id) _target action: (SEL) _action tran: (NSString*) tran pw: (NSString*) pw
		{
		NSMutableArray* _params = [NSMutableArray array];
		
		[_params addObject: [[SoapParameter alloc] initWithValue: tran forName: @"tran"]];
		[_params addObject: [[SoapParameter alloc] initWithValue: pw forName: @"pw"]];
		NSString* _envelope = [Soap createEnvelope: @"Lookup" forNamespace: self.namespace withParameters: _params withHeaders: self.headers];
		SoapRequest* _request = [SoapRequest create: _target action: _action service: self soapAction: @"http://www.mercurypay.com/Lookup" postData: _envelope deserializeTo: @"NSString"];
		[_request send];
		return _request;
	}


@end
	